/*
package com.chinaitop.depot.monitor.service.quartzJob;

import com.chinaitop.depot.monitor.model.DiagPlan;
import com.chinaitop.depot.monitor.service.impl.QualityDlagServiceImpl;
import com.chinaitop.depot.monitor.util.MonitorZD;
import com.chinaitop.utils.activiti.SpringContextHolder;
import com.chinaitop.utils.quartz.service.DepotScheduler;
import com.chinaitop.utils.quartz.service.NeedQuartz;
import org.quartz.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

*/
/**
 * @auther mafy
 * @createtime 2017/10/22 0022
 *//*

//注解为解决线程并发问题
@DisallowConcurrentExecution
@PersistJobDataAfterExecution
public class QualityJob implements Job {

    private QualityDlagServiceImpl qualityDlagService = SpringContextHolder.getBean(QualityDlagServiceImpl.class);//视频定时

    private DepotScheduler myScheduler = SpringContextHolder.getBean(DepotScheduler.class);//定时器

    //跑项目定时
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {

        // 获取 JobDataMap , 并从中取出参数
        JobDataMap data = jobExecutionContext.getJobDetail().getJobDataMap();
        String id = data.getString(DepotScheduler.QUARTZID);//获取定时器id(新增定时那边获取过来的)，然后从数据库中查询对应的监测信息
        String groupids = data.getString("groupids");//获取定时器分组数据
        System.out.println("定时器-分组序号："+groupids);

        //获取DiagPlan对象
        QualityDlagServiceImpl qualityDlagService = SpringContextHolder.getBean(QualityDlagServiceImpl.class);
        DiagPlan diagPlan = qualityDlagService.getDlagPlanByQuartzId(id);

        new Thread(new QuartyThread(diagPlan)).start();
    }


    */
/**
     * 查询数据库获取所有定时任务，切开启定时
     * @param scheduler
     * @throws SchedulerException
     *//*

    public void qualityScheduler(Scheduler scheduler) throws SchedulerException{
        initDLL();//加载dll文件
        //initQuartzForZd();//加载定时计划
    }

    //初始化dll文件
    private void initDLL(){
//        System.out.println(System.getProperty("java.library.path"));
        try {
            System.loadLibrary("MonitorZD");
//            MonitorZD monitorZD = SpringContextHolder.getBean(MonitorZD.class);
            MonitorZD monitorZD = MonitorZD.getMonitorZDObj();
            monitorZD.InitHCSdk();
            monitorZD.InitDHSdk();
        } catch (Exception e) {
            System.out.println("DLL文件加载失败，视频诊断模块不可使用");
            //e.printStackTrace();
        }
    }

    //查询定时计划
    private void initQuartzForZd(){
        qualityDlagService = SpringContextHolder.getBean(QualityDlagServiceImpl.class);
        List<DiagPlan> diagPlanList = qualityDlagService.selectRepeatPlan();
        //循环计划list，add到定时计划里
        try {
            for (int i = 0; i < diagPlanList.size(); i++) {
                DiagPlan diagPlan = diagPlanList.get(i);
                Map<String,Object> map = new HashMap<String,Object>();//定时器传参数用
                map.put("groupids",diagPlan.getGroupId());
                map.put(DepotScheduler.QUARTZID, NeedQuartz.QUALITY);
                Thread.sleep(1000);
                myScheduler.addJob(diagPlan.getQuartztime(),QualityDlagServiceImpl.getQuartzGroup(),diagPlan.getQuartzid(),Class.forName(QualityDlagServiceImpl.getQuartzClass()),map);
                System.out.println("定时计划<"+diagPlan.getDetailtime()+">启动成功");
            }
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}

*/
